Bug 518604 - Documentation Update for nmi_watchdog and unknown_nmi_panic
Summary: Documentation Update for nmi_watchdog and unknown_nmi_panic
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 08:51 UTC by Qian Cai
Modified: 2010-05-14 08:45 UTC (History)
2 users (show)

Fixed In Version: kexec-tools-2.0.0-25.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-14 08:45:33 UTC


Attachments (Terms of Use)

Description Qian Cai 2009-08-21 08:51:24 UTC
Description of problem:
The following sections of document may need to be updated,

# cat /usr/share/doc/kexec-tools-2.0.0/kexec-kdump-howto.txt
...
Please refrain from simultaneously enabling 'nmi_watchdog' and setting
/proc/sys/kernel/unknown_nmi_panic, as this would result in a Kernel Panic
from legitimate NMIs generated by the nmi_watchdog.
...
When enabling unknown_nmi_panic please be careful not to enable Nmi Watchdog
feature, else the system will panic.
...

Those information might be out of date, since my recent experiences suggest there is no such problem when testing RHEL5.4. In addition, there was a patch went into RHEL5.3 kernel, which looks like fix the above issue mentioned.

[RHEL5][FEAT] The kernel panic occurs if kernel.unknown_nmi_panic=1 is set.
https://bugzilla.redhat.com/show_bug.cgi?id=447618

Version-Release number of selected component (if applicable):
kexec-tools-2.0.0-17.el6

Comment 2 RHEL Product and Program Management 2009-08-21 09:37:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Neil Horman 2009-08-23 23:15:50 UTC
concur, I'll remove the out-of-date sections.  Thanks!

Comment 4 Neil Horman 2009-08-24 13:44:54 UTC
fixed in -25.el6.  Thanks!

Comment 5 releng-rhel@redhat.com 2009-10-30 22:11:22 UTC
Fixed in 'kexec-tools-2.0.0-25.el6'. 'kexec-tools-2.0.0-36.el6' included in compose 'RHEL6.0-20091029.0'.
Moving to ON_QA.

Comment 6 James.xu 2009-11-06 08:56:02 UTC
Fixed in 'kexec-tools-2.0.0-39.el6' and 'kexec-tools-2.0.0-37.el6.x86_64' included in compose 'RHEL6.0-20091105.0'.
Moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.